package application;
	
import RalliJava.Rekisteri;
import javafx.application.Application;
//import javafx.application.Platform;
import javafx.stage.Stage;
import javafx.scene.Scene;
//import javafx.scene.layout.BorderPane;
import javafx.scene.layout.Pane;
import javafx.fxml.FXMLLoader;



/**
 * @author idamk
 * @version 5.2.2025
 * Tällä hetkellä avaa ikkunan, ei tee mitään.
 *
 */
public class Main extends Application {
	@Override
	public void start(Stage primaryStage) {
		try {
		    

		  
		  //rekisteriCtrl = setRekisteri();
	        //TODO lisää final-jutut mallin mukaan
		    
		    final FXMLLoader ldr = new FXMLLoader(getClass().getResource("Sample.fxml"));
		    final Pane root = (Pane)ldr.load();
		    final RalliController ralliCtrl = (RalliController)ldr.getController();
		    
			//BorderPane root = (BorderPane)FXMLLoader.load(getClass().getResource("Sample.fxml")); 
			final Scene scene = new Scene(root);
			scene.getStylesheets().add(getClass().getResource("application.css").toExternalForm());
			primaryStage.setScene(scene);
			primaryStage.setTitle("Rallirekisteri"); //Ikkunan otsikko
			
		    Rekisteri rekisteri = new Rekisteri();
		    ralliCtrl.setRekisteri(rekisteri);
			
			primaryStage.setOnCloseRequest((event) ->  {
			    if(!ralliCtrl.voikoSulkea()) event.consume();
			});
			primaryStage.show();
			//if (!ralliCtrl.avaa() ) Platform.exit();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	/**
	 * @param args ei käytössä
	 */
	public static void main(String[] args) {
		launch(args);
	}
}
